curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lyclm1571iy3mv57zw&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/NASA/posts/1234567890"}, {"url": "https://www.facebook.com/Meta/posts/9876543210"}]}'[
{
"url": "https://www.facebook.com/share/v/17yf2ZfpHp/",
"post_id": "1528075055988555",
"user_url": "https://www.facebook.com/thetoyinsider",
"user_username_raw": "The Toy Insider",
"content": "Hatchin' Yoshi is our whole personality until further notice. Hitting stores next month!",
"date_posted": "2026-02-14T21:28:45.000Z",
"num_comments": 966,
"num_shares": 3500,
"num_likes_type": [{ "num": 23800, "type": "Like" }],
"profile_id": "100063582250570",
"page_logo": "https://...",
"page_likes": null,
"page_followers": 36000,
"page_is_verified": false,
"attachments": [
{
"attachment_url": "https://...",
"id": "1473877017491895",
"type": "video",
"url": "https://www.facebook.com/reel/1473877017491895",
"video_length": "125767",
"video_url": "https://..."
}
],
"page_url": "https://www.facebook.com/thetoyinsider",
"profile_handle": "thetoyinsider",
"is_sponsored": false,
"video_view_count": 2300000,
"likes": 23800,
"post_type": "Post",
"play_count": null
}
]
Facebook
Collect Facebook posts by URL
Use the Bright Data Web Scraper API to collect Facebook posts by URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lyclm1571iy3mv57zw&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/NASA/posts/1234567890"}, {"url": "https://www.facebook.com/Meta/posts/9876543210"}]}'[
{
"url": "https://www.facebook.com/share/v/17yf2ZfpHp/",
"post_id": "1528075055988555",
"user_url": "https://www.facebook.com/thetoyinsider",
"user_username_raw": "The Toy Insider",
"content": "Hatchin' Yoshi is our whole personality until further notice. Hitting stores next month!",
"date_posted": "2026-02-14T21:28:45.000Z",
"num_comments": 966,
"num_shares": 3500,
"num_likes_type": [{ "num": 23800, "type": "Like" }],
"profile_id": "100063582250570",
"page_logo": "https://...",
"page_likes": null,
"page_followers": 36000,
"page_is_verified": false,
"attachments": [
{
"attachment_url": "https://...",
"id": "1473877017491895",
"type": "video",
"url": "https://www.facebook.com/reel/1473877017491895",
"video_length": "125767",
"video_url": "https://..."
}
],
"page_url": "https://www.facebook.com/thetoyinsider",
"profile_handle": "thetoyinsider",
"is_sponsored": false,
"video_view_count": 2300000,
"likes": 23800,
"post_type": "Post",
"play_count": null
}
]
Query Parameters
string
default:"gd_lyclm1571iy3mv57zw"
required
The dataset ID used for this request.
Must be set to
gd_lyclm1571iy3mv57zw to collect Facebook posts data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"url": "https://www.facebook.com/share/v/17yf2ZfpHp/",
"post_id": "1528075055988555",
"user_url": "https://www.facebook.com/thetoyinsider",
"user_username_raw": "The Toy Insider",
"content": "Hatchin' Yoshi is our whole personality until further notice. Hitting stores next month!",
"date_posted": "2026-02-14T21:28:45.000Z",
"num_comments": 966,
"num_shares": 3500,
"num_likes_type": [{ "num": 23800, "type": "Like" }],
"profile_id": "100063582250570",
"page_logo": "https://...",
"page_likes": null,
"page_followers": 36000,
"page_is_verified": false,
"attachments": [
{
"attachment_url": "https://...",
"id": "1473877017491895",
"type": "video",
"url": "https://www.facebook.com/reel/1473877017491895",
"video_length": "125767",
"video_url": "https://..."
}
],
"page_url": "https://www.facebook.com/thetoyinsider",
"profile_handle": "thetoyinsider",
"is_sponsored": false,
"video_view_count": 2300000,
"likes": 23800,
"post_type": "Post",
"play_count": null
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lyclm1571iy3mv57zw for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?